package produto;
/*
 Esta Interface modela um repositrio de Marcas
*/

interface RepositorioMarca {





	// .............. MTODOS ...........................


/* Insere uma nova marca.
	*
	* @param           Uma marca a ser inserida.
	*/
	public void inserirMarca (Marca m);



/* Exclui uma marca da lista.
     *
     * @param           marca a ser excluida.
     */
	public void excluirMarca(Marca m);



/* Procura se uma dada marca pertence  lista.
     *
     * @param           Nome da marca a ser procurada.
     * @return          Resposta se a marca existe.
     */
	public boolean procurarMarca(Marca m);



/* Retorna um array com Marcas que satisfazem  condio
* enviada em Marca m.
     *
     * @param           Estado da Marca a ser selecionado
     * @return          Resposta com Marcas que atendem  condio.
     */
	public Marca[] selecionarMarca(Marca m);



/* Retorna um array de Marcas.
     *
     * @param           Nome da marca a ser procurada.
     * @return          Resposta se a marca existe.
     */


  public  Marca[]  getArrayMarca();


}// Fim da classe RepositorioMarcaArray