package telas;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import telas.Cadastros;
import pontoVenda.PontoVenda;
import pontoVenda.CadastroPontoVenda;
import produto.Produto;
import produto.PerfilProduto;
import produto.OfertaProduto;
import produto.CadastroProduto;
import produto.Marca;
import produto.CadastroMarca;
import setor.Setor;
import setor.CadastroSetor;
import shopping.Shopping;
import Util.Util;
import pontoVenda.RepositorioPontoVendaLista;
import produto.RepositorioProdutoLista;
import setor.RepositorioSetorLista;
import produto.RepositorioMarcaArray;
import pontoVenda.Loja;
import pontoVenda.Quiosque;
import produto.ProdutoJaCaException;


/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author//remy
 * @version 1.0
 */

public class Principal extends JFrame {

  boolean isStandalone = false;
  JLabel jLabel1 = new JLabel();
  JButton cadastrar = new JButton();
  JButton consultar = new JButton();
  JButton sair = new JButton();
  Cadastros cadastros1;
  Consultaproduto consultaproduto1 = new Consultaproduto();

  CadastroMarca cadMarca = new CadastroMarca(new RepositorioMarcaArray());
  CadastroSetor cadSetor = new CadastroSetor(new RepositorioSetorLista());
  CadastroPontoVenda cadPv = new CadastroPontoVenda(new RepositorioPontoVendaLista());
  CadastroProduto cadProduto = new CadastroProduto(new RepositorioProdutoLista());
  Shopping shopping = new Shopping(cadMarca, cadSetor, cadPv, cadProduto);



  public Principal() {
//    try {
//      jbInit();
//    }
//    catch(Exception e) {
//      e.printStackTrace();
//    }
  }

  public void init() {
    try {
    jbInit();
    }
    catch (Exception e) {
    e.printStackTrace();
    }
  }
  public static void main(String[] args) {

    Principal principal1 = new Principal();
    principal1.isStandalone = true;
    principal1.setTitle("SISCOMP - Inicializao");
    principal1.init();
    principal1.setSize(500,350);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    principal1.setLocation((d.width - principal1.getSize().width) / 2, (d.height - principal1.getSize().height) / 2);
    principal1.setVisible(true);


  }


  private void jbInit() throws Exception {
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 18));
    jLabel1.setForeground(Color.red);
    jLabel1.setToolTipText("");
    jLabel1.setText("Menu Principal - SISCOMP");
    jLabel1.setBounds(new Rectangle(134, 16, 245, 29));
    cadastrar.setText("Cadastros");
    cadastrar.setBounds(new Rectangle(26, 169, 138, 31));
    cadastrar.setFont(new java.awt.Font("Dialog", 1, 12));
    cadastrar.setForeground(Color.blue);
    cadastrar.addActionListener(new Principal_jButton2_actionAdapter(this));
    consultar.setText("Consultar");
    consultar.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        consultar_actionPerformed(e);
      }
    });
    consultar.setBounds(new Rectangle(187, 168, 129, 35));
    consultar.setFont(new java.awt.Font("Dialog", 1, 12));
    consultar.setForeground(Color.blue);
    sair.setText("Sair");
    sair.addActionListener(new ActionListener(this));
    sair.addActionListener(new ActionListener(this));
    sair.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        sair_actionPerformed(e);
      }
    });
    sair.setBounds(new Rectangle(340, 168, 128, 34));
    sair.setFont(new java.awt.Font("Dialog", 1, 12));
    sair.setForeground(Color.blue);
    this.getContentPane().setLayout(null);
    this.getContentPane().add(sair, null);
    this.getContentPane().add(cadastrar, null);
    this.getContentPane().add(consultar, null);
    this.getContentPane().add(jLabel1, null);

     //  *************   CADASTRO  DE  MARCAS  *******************

    String m1 = "Phillips";
    String m2 = "LG";
    String m3 = "Brastemp";
    String m4 = "Consul";
    String m5 = "adidas";
    String m6 = "Nike";

    Marca marca1 = new Marca(m1);
    shopping.inserirMarca(marca1);

    Marca marca2 = new Marca(m2);
    shopping.inserirMarca(marca2);

    Marca marca3 = new Marca(m3);
    shopping.inserirMarca(marca3);

    Marca marca4 = new Marca(m4);
    shopping.inserirMarca(marca4);

    Marca marca5 = new Marca(m5);
    shopping.inserirMarca(marca5);

    Marca marca6 = new Marca(m6);
    shopping.inserirMarca(marca6);

    // ************  CADASTRO DE LOJAS ********************

    String l1 = "Lojas Americanas";
    int    n1 = 11;
    String f1 = "3268-0908";
    String p1 = "Piso Terreo";
    int    c1 = 1;

    String l2 = "Cia do Sapato";
    int    n2 = 22;
    String f2 = "9988-5665";
    String p2 = "1o. Piso";
    int    c2 = 2;

    String l3 = "Casas Bahia";
    int    n3 = 44;
    String f3 = "3455-1234";
    String p3 = "Piso Superior";
    int    c3 = 4;
    int r3  = 30;


    Loja loj1 = new Loja(n1, l1, f1, p1, c1);
    shopping.inserirPontoVenda(loj1);

    PontoVenda loj2 = new Loja(n2, l2, f2, p2, c2);
    shopping.inserirPontoVenda(loj2);

    Quiosque loj3 = new Quiosque(n3, l3, f3, p3, c3, r3);
    shopping.inserirPontoVenda(loj3);

    // ************  CADASTRO DE SETORES ********************

    String s1 = "Eletrodomesticos";
    String s2 = "Sapataria";
    String s3 = "Vesturio";
    String s4 = "Entretenimento";

    Setor setor1 = new Setor(s1);
    shopping.inserirSetor(setor1);

    Setor setor2 = new Setor(s2);
    shopping.inserirSetor(setor2);

    Setor setor3 = new Setor(s3);
    shopping.inserirSetor(setor3);

    Setor setor4 = new Setor(s4);
    shopping.inserirSetor(setor4);

    // ************  CADASTRO DE PRODUTOS ********************

    String prod1 = "Geladeira";
    String prod2 = "Sapato";
    String prod3 = "Vestido";
    String prod4 = "SexShop";

    Produto produto1 = new Produto(prod1, setor1);
    Produto produto2 = new Produto(prod2, setor2);
    Produto produto3 = new Produto(prod3, setor3);
    Produto produto4 = new Produto(prod4, setor4);

    shopping.inserirProduto(produto1);
    shopping.inserirProduto(produto2);
    shopping.inserirProduto(produto3);
    shopping.inserirProduto(produto4);

    cadastros1 = new Cadastros(shopping);
  }

  void jButton1_actionPerformed(ActionEvent e) {

  }

  void cadastrar_actionPerformed(ActionEvent e) {

      cadastros1.iniciar(shopping); // chama tela de cadastros

  }

  void consultar_actionPerformed(ActionEvent e) {

    consultaproduto1.iniciar(); // chama tela de consultaprodutos

    }

  void sair_actionPerformed(ActionEvent e) {

      this.setVisible(false); // saida do programa

  }


}

class Principal_jButton2_actionAdapter implements java.awt.event.ActionListener {
  Principal adaptee;

  Principal_jButton2_actionAdapter(Principal adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.cadastrar_actionPerformed(e);
  }
}

class ActionListener implements java.awt.event.ActionListener {
  Principal adaptee;

  ActionListener(Principal adaptee) {
    this.adaptee = adaptee;
  }
  public void actionPerformed(ActionEvent e) {
    adaptee.sair_actionPerformed(e);
  }
}