package teste;

import pontoVenda.PontoVenda;
import pontoVenda.CadastroPontoVenda;
import produto.Produto;
import produto.PerfilProduto;
import produto.OfertaProduto;
import produto.CadastroProduto;
import produto.Marca;
import produto.CadastroMarca;
import setor.Setor;
import setor.CadastroSetor;
import shopping.Shopping;
import Util.Util;
import pontoVenda.RepositorioPontoVendaLista;
import produto.RepositorioProdutoLista;
import setor.RepositorioSetorLista;
import produto.RepositorioMarcaArray;
import pontoVenda.Loja;
import pontoVenda.Quiosque;
import produto.ProdutoJaCaException;

public class TesteShopping {




  public static void main(String[] args) {



    CadastroMarca cadMarca = new CadastroMarca(new RepositorioMarcaArray());
    CadastroSetor cadSetor = new CadastroSetor(new RepositorioSetorLista());
    CadastroPontoVenda cadPv = new CadastroPontoVenda(new RepositorioPontoVendaLista());
    CadastroProduto cadProduto = new CadastroProduto(new RepositorioProdutoLista());

    Shopping shopping = new Shopping(cadMarca, cadSetor, cadPv, cadProduto);

   try {


//  *************   CADASTRO  DE  MARCAS  *******************


    String m1 = "Phillips";
    String m2 = "LG";
    String m3 = "Brastemp";
    String m4 = "Consul";
    String m5 = "adidas";
    String m6 = "Nike";

    Marca marca1 = new Marca(m1);
    shopping.inserirMarca(marca1);

    Marca marca2 = new Marca(m2);
    shopping.inserirMarca(marca2);

    Marca marca3 = new Marca(m3);
    shopping.inserirMarca(marca3);

    Marca marca4 = new Marca(m4);
    shopping.inserirMarca(marca4);

    Marca marca5 = new Marca(m5);
    shopping.inserirMarca(marca5);

    Marca marca6 = new Marca(m6);
    shopping.inserirMarca(marca6);

      // Lista as Marcas

    Marca[] marcas;
    int indiceM = 0;

    marcas = shopping.getArrayMarca();
     System.out.println("\n\n      RELACAO MARCAS");
    while (marcas[indiceM] != null)  {

     System.out.println("Nome da marca "+(indiceM+1)+" "+marcas[indiceM].getNomeMarca());
     indiceM = indiceM+1;
    }


//  ************  FINAL DE MARCAS ********************
//
// ************  CADASTRO DE LOJAS ********************

   

    String l1 = "Lojas Americanas";
    int    n1 = 11;
    String f1 = "3268-0908";
    String p1 = "Piso Terreo";
    int    c1 = 1;

    String l2 = "Cia do Sapato";
    int    n2 = 22;
    String f2 = "9988-5665";
    String p2 = "1o. Piso";
    int    c2 = 2;

    String l3 = "Casas Bahia";
    int    n3 = 44;
    String f3 = "3455-1234";
    String p3 = "Piso Superior";
    int    c3 = 4;
    int r3  = 30;


    Loja loj1 = new Loja(n1, l1, f1, p1, c1);
    shopping.inserirPontoVenda(loj1);

    PontoVenda loj2 = new Loja(n2, l2, f2, p2, c2);
    shopping.inserirPontoVenda(loj2);

    Quiosque loj3 = new Quiosque(n3, l3, f3, p3, c3, r3);
    shopping.inserirPontoVenda(loj3);


      // Lista os Pontos de Venda

    PontoVenda[] pvs;

    int indicel = 0;
    String tipoPv;


    pvs = shopping.getArrayPontoVenda();
     System.out.println("\n\n      RELACAO DOS PONTOS DE VENDA");
    while (pvs[indicel] != null)  {

     if (pvs[indicel].isLoja())
       tipoPv = "Loja";
      else
       tipoPv = "Quiosque";

     System.out.println("Ponto de Venda ("+tipoPv+")"+(indicel+1)+" -> Nome da Loja:"+pvs[indicel].getNomePontoVenda()+ "\n"+" -> Numero da Loja: "+ pvs[indicel].getNumeroPontoVenda()+" -> Fone: "+pvs[indicel].getFonePontoVenda());
     System.out.println("andar ->"+pvs[indicel].getPisoPontoVenda()+" Corredor : "+pvs[indicel].getCorredorPontoVenda()+ "\n");
     indicel = indicel+1;
    }



    System.out.println("\n\n   LISTA NOVAMENTE A RELACAO DOS PONTOS DE VENDA");

    pvs = shopping.getArrayPontoVenda();
    indicel = 0;
    while (pvs[indicel] != null)  {

     System.out.println("Ponto de Venda "+(indicel+1)+" -> Nome da Loja:"+pvs[indicel].getNomePontoVenda()+" -> Numero da Loja: "+ pvs[indicel].getNumeroPontoVenda()+" -> Fone: "+pvs[indicel].getFonePontoVenda());
     indicel = indicel+1;
    }




// **********  FINAL DE LOJAS   ************************

//
//
// ************  CADASTRO DE SETORES ********************


    String s1 = "Eletrodomesticos";
    String s2 = "Sapataria";

    Setor setor1 = new Setor(s1);
    shopping.inserirSetor(setor1);

    Setor setor2 = new Setor(s2);
    shopping.inserirSetor(setor2);



// **********  FINAL DE SETORES   ************************
//
//
// ************  CADASTRO DE TIPOS DE PRODUTOS ********************




    //  Produtos
    String tp1 = "Tenis";
    String tp2 = "Televisao";
    String tp3 = "Geladeira";

    // Nome dos respectivos Setores
    Setor ts1 = new Setor("Sapataria");
    Setor ts2 = new Setor ("Eletrodomesticos");


// Recupera os objetos SETOR

    Setor[] set11 = shopping.selecionarSetor(ts1);

    Setor[] set22 = shopping.selecionarSetor(ts2);

    Setor set1 = set11[1];
    Setor set2 = set22[1];

// Cria os Objetos  Produto

    Produto tipo1 = new Produto(tp1, set1);
    Produto tipo2 = new Produto(tp2, set2);
    Produto tipo3 = new Produto(tp3, set2);



// Insere os  Produto

    shopping.inserirProduto(tipo1);
    shopping.inserirProduto(tipo2);
    shopping.inserirProduto(tipo3);






// **********  FINAL  DE PRODUTOS   ************************
//

//  *********** ROTINA DE EXCLUIR SETOR *******************

        String setExc = "Sapataria";
        String aa;

       
//
        aa = Util.readStr();
    //     shopping.excluirSetor(setExc);

   } // Fecha o try
    catch (ProdutoJaCaException exc) {
      System.out.println("           \n\n  EXCECAO");
      System.out.println("\nProblemas na execucao: "+exc.getMessage());
       String aa;
       aa = Util.readStr();
    } // Fecha o catch



  }  // fecha o main


} // fecha a classe