package pontoVenda;

public abstract class PontoVenda {


  private int numeroPontoVenda;                     // Numero da Loja
  private String nomePontoVenda;                    // Nome da Loja
  private String fonePontoVenda;                    // Telefone da Loja
  private String pisoPontoVenda;                        // Piso da Loja
  private int corredorPontoVenda;                      // numero do corredor


  /*** Construtor da classe Loja.
     * @param numeroLoja  Numero da Loja
     * @param nomeLoja    Nome da Loja
     * @param foneLoja    Telefone da Loja

   */
    public PontoVenda(int numeroPontoVenda, String nomePontoVenda, String fonePontoVenda,
                      String pisoPontoVenda, int corredorPontoVenda){

        this.numeroPontoVenda = numeroPontoVenda;
        this.nomePontoVenda = nomePontoVenda;
        this.fonePontoVenda = fonePontoVenda;
        this.pisoPontoVenda = pisoPontoVenda;
        this.corredorPontoVenda = corredorPontoVenda;

    }

   public PontoVenda() {
   }


  // ............. MTODOS ..........................

  //   Retorna o Numero do PontoVenda

    public int getNumeroPontoVenda() {
        return this.numeroPontoVenda;
    }

  // Retorna o Nome do PontoVenda

    public String getNomePontoVenda() {
        return this.nomePontoVenda;
    }

  // Retorna o Telefone do PontoVenda

    public String getFonePontoVenda() {
        return this.fonePontoVenda;
    }
  // Retorna o Piso do PontoVenda

    public String getPisoPontoVenda() {
        return this.pisoPontoVenda;
    }
      // Retorna o Corredor do PontoVenda

    public int getCorredorPontoVenda() {
        return this.corredorPontoVenda;
    }
  /** Altera o Telefone do PontoVenda
     *
     * @param            Novo Telefone do PontoVenda
     */
    public void setFoneLoja(String novoFone){
        this.fonePontoVenda = novoFone;
    }

 /** Retorna true se for uma Loja e falso se nao for
    *
    * @return  True se PontoVenda for Loja e False se for Quiosque
    */
   public abstract boolean isLoja();

 /** Verifica se o ponto venda atende s especificaes do ponto venda pesquisado
   *
   * @param  Ponto venda pesquisado
   *
   */

   public abstract boolean match(PontoVenda pv);




} // fecha Classe

