package setor;

import pontoVenda.PontoVenda;
import pontoVenda.RepositorioPontoVendaLista;

public class Setor {


  private String nomeSetor;         // Nome do Setor do Shopping Center
  private RepositorioPontoVendaLista pVs;    // Conjunto de pontoVendas que vendem produtos desse Setor
  /**  * Construtor da classe Setor.
     *
     * @param nomeSetor     Nome do Setor do Shopping Center.
     */
    public Setor(String nomeSetor){
        this.nomeSetor = nomeSetor;
        this.pVs = new RepositorioPontoVendaLista();
    }

    public Setor() {
    }

  // .............. MTODOS ........................


  //   Retorna o Nome do Setor no Shopping Center.

    public String getNomeSetor() {
        return this.nomeSetor;
    }

  // Retorna um array com um conjunto de pontoVendas do Setor

     public PontoVenda[] getArrayPontoVenda(){
       return pVs.getArrayPontoVenda();
       }

 // Inclui pontoVenda do Setor

    public void incluirpontoVendaSetor(PontoVenda novoPontoVenda) {
      pVs.inserirPontoVenda(novoPontoVenda);
       }


 /*  Exclui pontoVenda do Setor
 *
 *  @param    pontoVenda       Nome da pontoVenda a ser excluida do Setor
 */
    public void excluirPontoVendaSetor(PontoVenda pv) {
      pVs.excluirPontoVenda(pv);

   }

 // Mtodo Match - Verifica se o objeto atende s condies
 // especificadas num objeto enviado

  public boolean match(Setor s) {
   boolean resultado = true;
   if (s != null) {
    if (this.getNomeSetor() == s.getNomeSetor())
      return resultado;
     else
      return resultado = false;
    }
   else
     return resultado;

  } // fecha o metodo


}

